<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.UnitTestLogs']}</h2>
        <ui:decorate template="/unittesting/unitTestLogsTemplate.xhtml">
            <ui:param name="managedBean" value="#{ruleUnitTestLogBrowser}"/>
            <ui:param name="utManagerBean" value="#{ruleUnitTestManager}"/>
            <ui:define name="moreFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{ruleUnitTestLogBrowser.filter}"/>
                            <ui:param name="filterId" value="validator"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.TestedValidator']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{ruleUnitTestLogBrowser.filter}"/>
                            <ui:param name="filterId" value="rule"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.TestedRule']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
            </ui:define>
            <ui:define name="moreColumns">
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xval.TestedRule']}</ui:define>
                    <g:link value="#{entry.unitTest.testedRule}"/>
                    <h:outputText value=" (#{entry.testedVersion})"/>
                </g:column>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>
